{% extends 'base_permanencier.html' %}
{% block title %}Accueil permanencier{% endblock %}
{% block content %}
    <p><a class="btn btn-outline-success" href="{% url 'permanence-list' %}">Voir mes feuilles de caisse</a>
        Vos feuilles de caisse permettent de voir les commandes des permanences terminées.</p>
    <div class="alert alert-info">
        <p><a class="btn btn-outline-danger" href="{% url 'order-orphans' %}">Commandes orphelines</a>
            Si vous n'allez pas jusqu'à la transaction, la commande n'apparaîtra pas dans la feuille de caisse, mais
            sera
            prise en compte dans les jauges de produits. Ces commandes sont donc toutes impayées</p>
    </div>
    {% if permanence %}
        <section style="display: flex;">
            <div class="card" style="max-width: min-content; margin-right: 2rem">
                <div class="card-header">
                    Actions
                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <a class="btn btn-success" href="{% url 'quick-va' %}">Commande VA</a>
                    </li>
                    <li class="list-group-item">
                        <a class="btn btn-success" href="{% url 'quick-nonva' %}">Commande non VA</a>
                    </li>
                    <li class="list-group-item"><a class="btn btn-warning" href="{% url 'permanence-stop' %}">Fermer la
                        permanence</a></li>
                    <li class="list-group-item"><a class="btn btn-primary" href="{% url 'composate-va' %}">Compostage VA</a></li>
                    <li class="list-group-item"><a class="btn btn-secondary" href="{% url 'client-list' %}">Liste des clients</a></li>
                </ul>
            </div>
            <div class="card"><!-- style="width: 18rem;">-->
                <div class="card-header">
                    Ma permanence
                </div>
                <div class="card-body">
                    <p>{{ permanence }} ouverte à {{ permanence.created_at }}</p>
                    <p>Pour composter des billets non VA, il vous faut un téléphone Android avec l'appli de scan du BdE.</p>
                </div>
            </div>
        </section>
        <section class="mt-3 card">
            <h5 class="card-header">Commandes réalisées lors de cette permanence</h5>
            <div class="card-body">
                <table class="table">
                    <thead>
                    <tr>
                        <th scope="col">Client</th>
                        <th scope="col">Commande</th>
                        <th scope="col">Transaction</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for transaction in permanence.transactions.all %}
                        <tr>
                            <td>
                                <a href="{% url 'client-edit' pk=transaction.order.client.id %}">{{ transaction.order.client }}</a>
                            </td>
                            <td><a href="{% url 'order-view' pk=transaction.order.id %}">{{ transaction.order }}</a>
                            </td>
                            <td>{{ transaction }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </section>
    {% else %}
        <a class="btn btn-primary" href="{% url 'permanence-start' %}">Ouvrir une permanence</a>  Il est nécessaire d'ouvrir une permanence pour vendre des billets ainsi que pour effectuer des compostages.
    {% endif %}
    <!--Historique des ventes :
    <ul>
    {% for vente in ventes %}
        <li>{{ vente.total }}€ le {{ vente.day |date}}</li>
    {% endfor %}
    </ul>-->

    <canvas id="myChart"></canvas>
    <canvas id="compostageChart"></canvas>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
    <script>
    var ctx = document.getElementById('myChart').getContext('2d');
var chart = new Chart(ctx, {
    // The type of chart we want to create
    type: 'bar',
    // The data for our dataset
    data: {
        labels : [
            {% for vente in ventes %}
            ' {{ vente.hour }} ',
            {% endfor %}
        ],
        datasets: [{
            label: 'Ventes',
            backgroundColor: 'cadetblue',
            borderColor: 'teal',
            data: [
                {% for vente in ventes %}
                    {{ vente.total|cut:",00" }} ,
                {% endfor %}
            ]
        },
        ]
    },

    // Configuration options go here
    options: {
        elements: {
            line: {
                tension: 0
            }
        },
        scales: {
            yAxes: [{
                ticks: {
                    // Include a dollar sign in the ticks
                    callback: function(value, index, values) {
                        return value+'€';
                    }
                },
                beginAtZero:true,
            }]
        }}
});

    </script>
    <script>
    var ctxC = document.getElementById('compostageChart').getContext('2d');
var chartC = new Chart(ctxC, {
    // The type of chart we want to create
    type: 'bar',

    // The data for our dataset
    data: {
        labels : [
            {% for c in compostages %}
            ' {{ c.hour | date }} ',
            {% endfor %}
        ],
        datasets: [
        {
            label: 'Compostages',
            backgroundColor: 'rgb(220,53,69)',
            borderColor: 'rgb(52,58,64)',
            data: [
                {% for c in compostages %}
                    {{ c.total }} ,
                {% endfor %}
            ]
        }
        ]
    },

    // Configuration options go here
    options: { scales: {
            yAxes: [{
                beginAtZero:true,
            }]
        }}
});

    </script>
{% endblock %}